Bug 1424723 - doc: Hard to find documentation for weak dependencies
Summary: doc: Hard to find documentation for weak dependencies
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 26
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Documentation, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-18 18:03 UTC by Honza Horak
Modified: 2017-07-25 16:55 UTC (History)
4 users (show)

Fixed In Version: dnf-2.6.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:55:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Honza Horak 2017-02-18 18:03:47 UTC
Description of problem:
I was looking for the correct options to not install dependencies that are marked as `Recommends:`, but was not easy. Finally I found:

    dnf -y install XXX --setopt=install_weak_deps=False

Version-Release number of selected component (if applicable):
dnf-1.1.10-4.fc24.noarch

Steps to Reproduce:
1. man dnf

Actual results:
Not clear how to omit weak deps.

Expected results:
Some paragraph that would describe on few examples how to not install deps marked as Recommends: or how to install deps marked as Suggests..

Comment 1 Igor Gnatenko 2017-02-18 18:36:22 UTC
> Some paragraph that would describe on few examples how to not install deps marked as Recommends:

It's described --setopt and install_weak_deps documented in dnf.conf(5).

> or how to install deps marked as Suggests..

there's no such option/command, we use Suggests only for favouring dependencies.

Comment 2 Honza Silhan 2017-02-20 15:12:59 UTC
we can document it in examples section.

Comment 3 Fedora End Of Life 2017-02-28 12:22:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Jaroslav Mracek 2017-06-29 19:26:07 UTC
I created a pull-request with example (https://github.com/rpm-software-management/dnf/pull/855).

Comment 5 Fedora Update System 2017-07-24 14:51:50 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 6 Fedora Update System 2017-07-25 04:27:08 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 7 Fedora Update System 2017-07-25 16:55:58 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.